Skip to main content
Validates a source field

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Path Parameters

sourceId
string
required

Body

application/vnd.composer.v3+json
origin
object
required

Field origin. Each of the origin types corresponds to it’s own field definition block:

  • NATIVE - nativeOrigin
  • DERIVED - derivedOrigin
  • HIERARCHY - hierarchyOrigin
name
string

Unique identifier of the field within the source across all fields and custom metrics. It's immutable and may be specified in create request only. It will be generated if it's missing in the request

Maximum string length: 255
Pattern: ^[\p{L}_][\p{L}_\p{N}\.]*$
Example:

"field_name"

label
string

User visible representation of the field. It will be generated if it's missing in the request

Maximum string length: 255
Example:

"Field Label"

visible
boolean

Whether the custom metric should be visible to users on a visual

defaultMetric
enum<string>

Data author can control default metric selected for this field. All metric pickers will choose this metric by default. Possible values: AVG/MIN/MAX/SUM/DISTINCT_COUNT/COUNT Default value: COUNT for ATTRIBUTES and SUM for NUMBER

Available options:
avg,
min,
max,
sum,
stddev_pop,
stddev_samp,
var_pop,
var_samp,
distinct_count,
last_value,
first_value,
count,
calc,
percentile,
median,
listagg
dataType
enum<string>

Data type of the field. It’s detected automatically based on the field origin if it wasn't defined

Available options:
ATTRIBUTE,
NUMBER,
INTEGER,
TIME,
TEXT,
HIERARCHY,
NULL
format
object

Format of the field value display

statistics
object

Field statistics configuration

facetFiltering
object

Facet filtering cofiguration. Available only for sources with TEXT_SEARCH feature

granularity
enum<string>
deprecated

The minimum time granularity of this field. Composer optimizes queries based on this field. Also, it controls allowed granularities on group by time picker. It is auto detected based on the sample from the data set if it’s missed in the create request

Available options:
MILLISECOND,
SECOND,
MINUTE,
HOUR,
DAY,
WEEK,
MONTH,
QUARTER,
YEAR
disabledCapabilities
string[]

List of disabled field capabilities

fieldMetadata
object

Field metadata as a JSON blob of key-value pairs

rawFormatSupportTimeGroup
boolean
deprecated
fieldName
string
deprecated

Deprecated legacy property, which duplicates 'name' parameter. Will be removed at 23.3

originalFieldName
string
deprecated

Deprecated legacy property, which duplicates 'origin.nativeOrigin.originalName' parameter. Will be removed at 23.3

Response

Field is valid

valid
boolean
dataType
string
referencedFields
string[]
error
object